Adobe constantly evaluates product capabilities to identify older features that should be replaced with more modern alternatives to improve overall customer value, always under careful consideration of backward compatibility. As Adobe Campaign Classic works with 3rd party tools, compatibility is updated on a regular basis, in order to implement supported versions only. Versions which are no longer compatible with Adobe Campaign Classic are listed below.

To communicate the impending removal/replacement of Campaign Classic capabilities, the following rules apply:

  1. Announcement of deprecation comes first. While deprecated capabilities are still available, but they will not be further enhanced, nor documented. 
  2. Removal of deprecated capabilities will occur in the following release at the earliest. Actual target date for removal is announced in this page. 

This process gives customers at least one release cycle to adapt their implementation to a new version or successor of a deprecated capability, before actual removal. 

Deprecated Features

This section lists features and capabilities that have been marked as deprecated with latest Campaign Classic releases. Generally, features that are planned to be removed in a future release are set to deprecated first, with an alternative provided. These features and capabilities are no longer available for new Campaign Classic customers.

Customers are advised to review if they make use of the feature/capability in their current deployment, and make plans to change their implementation to use the alternative provided. Please refer to the target removal date to plan your environment and project updates accordingly. 

Adobe Campaign Classic 18.6 release

Area Feature Replacement Target removal date
Javascript SDK - Security decryptString For security reasons, decryptString API is no longer available by default for new installations. It can be activated though a dedicated option described in Campaign Classic Release Notes. In the context of a postupgrade to 18.6, this API is still activated by default, and can be desactivated through this option. To ensure Campaign instance security, Adobe highly recommend not to use this function. 2019

Adobe Campaign Classic 18.4 release

Area Feature Replacement Target removal date
Campaign Orchestration Predictive marketing A large part of predictive marketing capabilities in Adobe Campaign Classic has been the consumption of predictive models. Although the predictive marketing workflow activity will be removed in an upcoming version, Adobe Campaign will continue to support the consumption and use of predictive models from external sources through other workflow activities. Oct, 2018
Web Applications Microsites Improve security by restricting access to only dedicated domains on Adobe Campaign configuration files. You can still use personalized URLs in Campaign by using DNS aliases. Learn more. Oct, 2018
Push Notifications iOS Binary Connector Per Apple's recommendation, Adobe will be removing the legacy iOS Binary Connector. The more capable and more efficient HTTP/2-based connector is already available. Learn more. Oct, 2018
Email Archiving File-based archiving Email archiving is now available through a dedicated BCC email address. Learn more. 2019
Lead management Leads  The Leads Management package in Adobe Campaign Classic simplified the process of building and maintaining the entire leads management life cycle. Similar functionality can be implemented via other native workflow activities and data model modifications. 2020

No-longer compatible matrix

Federated Data Access (FDA)

Adobe does not support the following database engines as they have been deprecated by their editor. Customers running in these versions need to upgrade to newest version or move to another one.

Refer to Campaign Classic Compatibility Matrix to access the list of compatible versions.

Component Replacement Learn more
Oracle 9i, 10G R2 More recent versions of Oracle are supported through Federated Data Access (FDA). Learn more. Oracle Lifetime Support Policy
PostgreSQL 8.3, 8.4, 9.0, 9.1, 9.2 More recent versions of PostgreSQL are supported through Federated Data Access (FDA). Learn more. PostgreSQL Versioning policy
MSSQL 2000, 2005, 2008 R2 More recent versions of SQL Server are supported through Federated Data Access (FDA). Learn more. Microsoft product lifecycle
MySQL 5.1 More recent versions of MySQL are supported through Federated Data Access (FDA). Learn more. MySQL Technical Support
InfiniDB Infini DB reached End of life.  
Teradata 13, 13.1 More recent versions of Teradata are supported through Federated Data Access (FDA). Learn more. Teradata Release Definition (PDF)
Netezza 6.02, 7.0

Netezza reached end of life.

Replaced by IBM Pure Data System

 
AsterData 5.0 AsterData reached end of life.  

Sybase IQ 15.2, 15.4, 15.5

Sybase ASE 15.0

More recent versions of Sybase are supported through Federated Data Access (FDA). Learn more. Sybase Product End Of Life
Hadoop via HiveSQL: Hadoop 2.7.3 , HiveSQL 1.2.1

Adobe Campaign Classic will still support the listed versions of Hadoop via HiveSQL through Federated Data Access (FDA), but these versions are merged with:

  • HortonWorks HDP 2.4.X, 2.5.x, 2.6.x
  • HDInsight 3.4 (HDP 2.4), 3.5 (HDP 2.5), 3.6 (HDP 2.6)
 

Campaign Classic Client Console

Adobe Campaign Classic Client Console can no longer run on the following systems as they have been deprecated by their editor. Customers running Campaign Client Console on one of these versions need to upgrade to newest version before target removal date. Refer to Campaign Classic Compatibility Matrix.

Operating System Version Target removal date
Windows Server
  • 2003
  • 2008
  • 2008R2
Oct, 2018
Windows
  • XP
  • Vista
Oct, 2018

Removed Features

This section lists features and capabilities that have been removed from Campaign Classic 18.4. They are no longer supported by Adobe.

Area Feature Replacement
MMS and WAP Push messages MMS and WAP Push mobile deliveries have been removed from Campaign Classic. Adobe recommends to leverage SMS and Push notification capabilities.
LINE v1 LINE Connect package is no longer available for installation in Adobe Campaign Classic. Adobe recommends using the new LINE Channel package to send LINE messages. Learn more.

This work is licensed under a Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License  Twitter™ and Facebook posts are not covered under the terms of Creative Commons.

Legal Notices   |   Online Privacy Policy